## org.eclipse.datatools.enablement.ase.ddl
Class QueryObjectsSQL

    java.lang.Object
      org.eclipse.datatools.enablement.ase.ddl.QueryObjectsSQL

    public class QueryObjectsSQL

extends java.lang.Object

Field Summary
`static java.lang.String` `QUERY_AUTHID`
`static java.lang.String` `QUERY_CATALOG`
`static java.lang.String` `QUERY_CHECK_CONSTRAINT`
`static java.lang.String` `QUERY_COLUMN_CHECK_CONSTRAINT`
`static java.lang.String` `QUERY_DEFAULT`
`static java.lang.String` `QUERY_FOREIGNKEY`
`static java.lang.String` `QUERY_INDEX`
`static java.lang.String` `QUERY_OBJECT_DEF`
`static java.lang.String` `QUERY_PK_UNIQUE`
`static java.lang.String` `QUERY_PROCEDURE`
`static java.lang.String` `QUERY_RULE`
`static java.lang.String` `QUERY_SEGMENT`
`static java.lang.String` `QUERY_TABLE`
`static java.lang.String` `QUERY_TRIGGER`
`static java.lang.String` `QUERY_UDT`
`static java.lang.String` `QUERY_VIEW`

Constructor Summary
`QueryObjectsSQL()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_CATALOG

    public static java.lang.String QUERY_CATALOG

### QUERY_PROCEDURE

    public static java.lang.String QUERY_PROCEDURE

### QUERY_UDT

    public static java.lang.String QUERY_UDT

### QUERY_DEFAULT

    public static java.lang.String QUERY_DEFAULT

### QUERY_RULE

    public static java.lang.String QUERY_RULE

### QUERY_TRIGGER

    public static java.lang.String QUERY_TRIGGER

### QUERY_TABLE

    public static java.lang.String QUERY_TABLE

### QUERY_VIEW

    public static java.lang.String QUERY_VIEW

### QUERY_INDEX

    public static java.lang.String QUERY_INDEX

### QUERY_AUTHID

    public static java.lang.String QUERY_AUTHID

### QUERY_SEGMENT

    public static java.lang.String QUERY_SEGMENT

### QUERY_PK_UNIQUE

    public static java.lang.String QUERY_PK_UNIQUE

### QUERY_FOREIGNKEY

    public static java.lang.String QUERY_FOREIGNKEY

### QUERY_CHECK_CONSTRAINT

    public static java.lang.String QUERY_CHECK_CONSTRAINT

### QUERY_COLUMN_CHECK_CONSTRAINT

    public static java.lang.String QUERY_COLUMN_CHECK_CONSTRAINT

### QUERY_OBJECT_DEF

    public static java.lang.String QUERY_OBJECT_DEF

Constructor Detail

### QueryObjectsSQL

    public QueryObjectsSQL()